#
# Conditional build:
%bcond_without	alsa		# without ALSA support (implies without JACK)
%bcond_without	jack		# without JACK support
%bcond_with	arts		# with aRts support
#
%if %{without alsa}
%undefine	with_jack
%endif
%include	/usr/lib/rpm/macros.python
Summary:	Software package for multitrack audio processing
Summary(pl):	Oprogramowanie do wielociekowego przetwarzania dwiku
Name:		ecasound
Version:	2.3.1
Release:	1
License:	GPL
Group:		Applications/Sound
Source0:	http://ecasound.seul.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	03729504e65bb1110a6dc7ff19ffa01c
Patch0:		%{name}-link.patch
%{?with_alsa:BuildRequires:	alsa-lib-devel}
%{?with_arts:BuildRequires:	arts-devel}
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_jack:BuildRequires:	jack-audio-connection-kit-devel}
BuildRequires:	ladspa-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	python-devel >= 2.2
BuildRequires:	python-modules >= 2.2
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpm-pythonprov
Obsoletes:	libecasound
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ecasound is a software package designed for multitrack audio
processing. It can be used for simple tasks like audio playback,
recording and format conversions, as well as for multitrack effect
processing, mixing, recording and signal recycling. Ecasound supports
a wide range of audio inputs, outputs and effect algorithms. Several
open-source audio packages, like for instance ALSA, OSS, mpg123, lame,
libaudiofile and MikMod, are directly supported. One of the advantages
of ecasound's chain-based design is that effects can easily be
combined both in series and in parallel. Oscillators and MIDI-CCs can
be used for controlling effect parameters. Included user-interfaces
are ecasound - a versatile console mode interface, qtecasound - a
Qt-based X-interface and various command-line utils suitable for batch
processing.

%description -l pl
Ecasound jest programem do wielociekowej edycji dwiku, ktry moe
by uywany tak do prostych zada typu odtwarzanie i nagrywanie muzyki
czy te konwersji pomidzy formatami plikw muzycznych jak i do
wielociekowego nakadania efektw, miksowania (przenikania,
wyciszania), nagrywania i odzyskiwania (w domyle odszumiania lub
wyrzucania znieksztace) sygnau.

Ecasound wspiera szerok gam rde i wyj dwiku oraz algorytmw
do jego przetwarzania. Ecasound wspiera wiele wolnych (open source)
projektw, takich jak ALSA, OSS, mpg123, lame, libaudiofile czy te
MikMod. Jedn z zalet programu ecasound jest moliwo acuchowego
(szeregowego) lub rwnolegego czenia efektw, ktre mog by
kontrolowane poprzez oscylatory lub MIDI-CC. Pakiet ten zawiera
tekstowy interfejs uytkownika oraz kilka innych narzdzi nadajcych
si do przetwarzania wsadowego. Dostpny jest take graficzny
interfejs uytkownika - qtecasound.

%package devel
Summary:	Header files for ecasound libraries
Summary(pl):	Pliki nagwkowe bibliotek ecasound
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	libsamplerate-devel
Requires:	libstdc++-devel
Obsoletes:	libecasound-devel

%description devel
Header files for ecasound libraries.

%description devel -l pl
Pliki nagwkowe bibliotek ecasound.

%package static
Summary:	Static ecasound libraries
Summary(pl):	Statyczne biblioteki ecasound
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}
Obsoletes:	libecasound-static

%description static
Static ecasound libraries.

%description static -l pl
Statyczne biblioteki ecasound.

%package -n python-%{name}
Summary:	Python module for Ecasound
Summary(pl):	Modu jzyka Python dla programu ecasound
Group:		Libraries/Python
%pyrequires_eq	python-modules

%description -n python-%{name}
Python module for Ecasound.

%description -n python-%{name} -l pl
Modu jzyka Python dla programu ecasound.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -D_REENTRANT %{!?debug:-DNDEBUG} -I/usr/include/ncurses"
# disable audiofile - ecasound has native support for wav and raw formats
# disable oss       - ecasound works nicely with alsa oss emulation;
#                     in case of alsa building conditional, the oss should
#                     be enabled
# disable arts      - 'not really useful' as said by ecasound author
%configure \
	%{!?with_alsa:--disable-alsa} \
	%{!?with_arts:--disable-arts} \
	--disable-audiofile \
	%{!?with_jack:--disable-jack} \
	%{?with_alsa:--disable-oss} \
	--enable-samplerate \
	--enable-shared \
	--enable-sys-readline \
	--enable-pyecasound \
	--with-largefile \
	--with-python-includes=%{py_incdir} \
	--with-python-modules=%{py_libdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

install pyecasound/*.py $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/eca*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/ecasound
%{_mandir}/man1/eca*
%{_mandir}/man5/eca*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/kvutils
%{_includedir}/libecasound
%{_includedir}/libecasoundc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n python-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]
